﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="About.xaml.cs" company="arvystate.net">
//   arvystate.net
// </copyright>
// <summary>
//   Interaction logic for GestureDialog.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace PresentationAid.Dialog
{
    using System.Windows;

    using NLog;

    /// <summary>
    /// Interaction logic for About
    /// </summary>
    public partial class About
    {
        #region Static Fields

        /// <summary>
        /// The logger.
        /// </summary>
        private static readonly Logger Logger = LogManager.GetCurrentClassLogger();

        #endregion

        #region Constructors and Destructors

        /// <summary>
        /// Initializes a new instance of the <see cref="About"/> class.
        /// </summary>
        public About()
        {
            Logger.Trace("Init: About");

            this.InitializeComponent();
        }

        #endregion

        #region Methods

        /// <summary>
        /// The about ok button click.
        /// </summary>
        /// <param name="sender">
        /// The sender.
        /// </param>
        /// <param name="e">
        /// The e.
        /// </param>
        private void AboutOkButtonClick(object sender, RoutedEventArgs e)
        {
            Logger.Trace("Event: AboutButtonClick");

            this.Close();
        }

        #endregion
    }
}