﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="GestureCommand.cs" company="arvystate.net">
//   arvystate.net
// </copyright>
// <summary>
//   The gesture command.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace PresentationAid.Lib.Enums
{
    /// <summary>
    /// The gesture command.
    /// </summary>
    public enum GestureCommand
    {
        /// <summary>
        /// No apparent command
        /// </summary>
        None, 

        /// <summary>
        /// Joined hands gesture
        /// </summary>
        JoinedHands, 

        /// <summary>
        /// Swipe left gesture
        /// </summary>
        SwipeLeft, 

        /// <summary>
        /// Swipe right gesture
        /// </summary>
        SwipeRight, 

        /// <summary>
        /// Wave or hello gesture
        /// </summary>
        Wave
    }
}