﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="UpdateDialogStatus.cs" company="arvystate.net">
//   arvystate.net
// </copyright>
// <summary>
//   The update dialog status.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace PresentationAid.Lib.Enums
{
    /// <summary>
    /// The update dialog status.
    /// </summary>
    public enum UpdateDialogStatus
    {
        /// <summary>
        /// Out of date update status.
        /// </summary>
        OutOfDate, 

        /// <summary>
        /// Up to date update status.
        /// </summary>
        UpToDate, 

        /// <summary>
        /// Checking for updates status.
        /// </summary>
        Checking, 

        /// <summary>
        /// Updates available status.
        /// </summary>
        UpdatesAvailable, 

        /// <summary>
        /// Downloading update status.
        /// </summary>
        Downloading, 

        /// <summary>
        /// Extracting update status.
        /// </summary>
        Extracting, 

        /// <summary>
        /// Ready to apply update status.
        /// </summary>
        ReadyToApply, 

        /// <summary>
        /// Update error status.
        /// </summary>
        Error
    }
}