﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="GestureEventArgs.cs" company="arvystate.net">
//   arvystate.net
// </copyright>
// <summary>
//   Gesture event argument
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace PresentationAid.Lib.Gestures
{
    using PresentationAid.Lib.Enums;

    /// <summary>
    /// Gesture event argument
    /// </summary>
    public class GestureEventArgs
    {
        #region Constructors and Destructors

        /// <summary>
        /// Initializes a new instance of the <see cref="GestureEventArgs"/> class.
        /// </summary>
        public GestureEventArgs()
        {
            this.Command = GestureCommand.None;
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="GestureEventArgs"/> class.
        /// </summary>
        /// <param name="command">
        /// The command.
        /// </param>
        /// <param name="trackingId">
        /// The tracking id.
        /// </param>
        public GestureEventArgs(GestureCommand command, int trackingId)
        {
            this.Command = command;
            this.TrackingId = trackingId;
        }

        #endregion

        #region Public Properties

        /// <summary>
        /// Gets or sets the command.
        /// </summary>
        public GestureCommand Command { get; set; }

        /// <summary>
        /// Gets or sets the tracking id.
        /// </summary>
        public int TrackingId { get; set; }

        #endregion
    }
}