﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="DebugTab.xaml.cs" company="arvystate.net">
//   arvystate.net
// </copyright>
// <summary>
//   Interaction logic for DebugTab.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace PresentationAid.Tabs
{
    using NLog;

    using PresentationAid.Lib.Helpers;

    /// <summary>
    /// Interaction logic for DebugTab
    /// </summary>
    public partial class DebugTab
    {
        #region Static Fields

        /// <summary>
        /// The logger.
        /// </summary>
        private static readonly Logger Logger = LogManager.GetCurrentClassLogger();

        #endregion

        #region Constructors and Destructors

        /// <summary>
        /// Initializes a new instance of the <see cref="DebugTab"/> class.
        /// </summary>
        public DebugTab()
        {
            Logger.Trace("Init: DebugTab");

            this.InitializeComponent();

            CustomLoggerTarget.Instance.TargetTextBox = this.DebugDisplay;
        }

        #endregion
    }
}